Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.bundling
Class AbstractArchiveTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.AbstractCopyTask
                      org.gradle.api.tasks.bundling.AbstractArchiveTask

All Implemented Interfaces:
  Comparable<Task>, ContentFilterable, CopyProcessingSpec, CopySourceSpec, CopySpec, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.file.copy.CopySpecSource, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable, org.gradle.util.Configurable<Task>

Direct Known Subclasses:
  Tar, Zip

    public abstract class AbstractArchiveTask

extends AbstractCopyTask

`AbstractArchiveTask` is the base class for all archive tasks.

Field Summary

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`AbstractArchiveTask()`

Method Summary
`String` | `getAppendix()` Returns the appendix part of the archive name, if any.
`String` | `getArchiveName()` Returns the archive name.
`File` | `getArchivePath()` The path where the archive is constructed.
`String` | `getBaseName()` Returns the base name of the archive.
`String` | `getClassifier()` Returns the classifier part of the archive name, if any.
`File` | `getDestinationDir()` Returns the directory where the archive is generated into.
`String` | `getExtension()` Returns the extension part of the archive name.
`String` | `getVersion()` Returns the version part of the archive name, if any.
`void` | `setAppendix(String appendix)`
`void` | `setArchiveName(String name)` Sets the archive name.
`void` | `setBaseName(String baseName)`
`void` | `setClassifier(String classifier)`
`void` | `setDestinationDir(File destinationDir)`
`void` | `setExtension(String extension)`
`void` | `setVersion(String version)`

Methods inherited from class org.gradle.api.tasks.AbstractCopyTask
`configureRootSpec, copy, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filter, filter, filter, from, from, getCopyAction, getDefaultSource, getDirMode, getExcludes, getFileMode, getIncludeEmptyDirs, getIncludes, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setExcludes, setFileMode, setIncludeEmptyDirs, setIncludes, with`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`addValidator, captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, getValidators, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractArchiveTask

    public AbstractArchiveTask()

Method Detail

### getArchiveName

    public String getArchiveName()

  Returns the archive name. If the name has not been explicitly set, the pattern for the name is: `[baseName]-[appendix]-[version]-[classifier].[extension]`

  Returns:
    the archive name.

### setArchiveName

    public void setArchiveName(String name)

  Sets the archive name.

  Parameters:
    `name` - the archive name.

### getArchivePath

    public File getArchivePath()

  The path where the archive is constructed. The path is simply the `destinationDir` plus the `archiveName`.

  Returns:
    a File object with the path to the archive

### getDestinationDir

    public File getDestinationDir()

  Returns the directory where the archive is generated into.

  Returns:
    the directory

### setDestinationDir

    public void setDestinationDir(File destinationDir)

### getBaseName

    public String getBaseName()

  Returns the base name of the archive.

  Returns:
    the base name.

### setBaseName

    public void setBaseName(String baseName)

### getAppendix

    public String getAppendix()

  Returns the appendix part of the archive name, if any.

  Returns:
    the appendix. May be null

### setAppendix

    public void setAppendix(String appendix)

### getVersion

    public String getVersion()

  Returns the version part of the archive name, if any.

  Returns:
    the version. May be null.

### setVersion

    public void setVersion(String version)

### getExtension

    public String getExtension()

  Returns the extension part of the archive name.

### setExtension

    public void setExtension(String extension)

### getClassifier

    public String getClassifier()

  Returns the classifier part of the archive name, if any.

  Returns:
    The classifier. May be null.

### setClassifier

    public void setClassifier(String classifier)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD